#!/bin/sh

TPREDIR=/opt/lnxall_app
CFGFILE=${TPREDIR}/app/config/statmon_config.json
export PATH=${TPREDIR}/bin:${TPREDIR}/sbin:/usr/local/bin:/usr/bin:/usr/sbin:/bin:/sbin

if [ ! -f ${CFGFILE} ] ; then
    echo "Error, configuration file not found: ${CFGFILE}"
    sleep 15
    exit 1
fi
exec lua /opt/lnxall_app/bin/statmon.lua
